Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/lmdz_lscp_old.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/lmdz_lscp_old.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/lmdz_lscp_old.F90	(revision 5099)
@@ -1,6 +1,6 @@
-!
+
 ! $Id: fisrtilp.F90 3493 2019-05-07 08:45:07Z idelkadi $
-!
-!
+
+
 MODULE lmdz_lscp_old
 CONTAINS
@@ -18,5 +18,4 @@
         )
 
-  !
   USE dimphy
   USE icefrac_lsc_mod ! compute ice fraction (JBM 3/14)
@@ -95,7 +94,7 @@
   !======================================================================
   include "YOMCST.h"
-  !
+
   ! Principaux inputs:
-  !
+
   REAL, INTENT(IN)                              :: dtime  ! intervalle du temps (s)
   REAL, DIMENSION(klon,klev+1),    INTENT(IN)   :: paprs  ! pression a inter-couche
@@ -106,17 +105,17 @@
   INTEGER,                         INTENT(IN)   :: iflag_cld_th
   INTEGER,                         INTENT(IN)   :: iflag_ice_thermo
-  !
+
   ! Inputs lies aux thermiques
-  ! 
+
   REAL, DIMENSION(klon,klev),      INTENT(IN)   :: ztv
   REAL, DIMENSION(klon,klev),      INTENT(IN)   :: zqta, fraca 
   REAL, DIMENSION(klon,klev),      INTENT(IN)   :: zpspsk, ztla
   REAL, DIMENSION(klon,klev),      INTENT(INOUT)   :: zthl
-  !
+
   !  Input/output
   REAL, DIMENSION(klon,klev),      INTENT(INOUT):: ratqs  ! determine la largeur de distribution de vapeur
-  !
+
   ! Principaux outputs:
-  !
+
   REAL, DIMENSION(klon,klev),      INTENT(OUT)  :: d_t  ! incrementation de la temperature (K)
   REAL, DIMENSION(klon,klev),      INTENT(OUT)  :: d_q  ! incrementation de la vapeur d'eau
@@ -152,19 +151,19 @@
   !AA
   ! Coeffients de fraction lessivee : pour OFF-LINE
-  !
+
   REAL, DIMENSION(klon,klev),      INTENT(INOUT)  :: pfrac_nucl
   REAL, DIMENSION(klon,klev),      INTENT(INOUT)  :: pfrac_1nucl
   REAL, DIMENSION(klon,klev),      INTENT(INOUT)  :: pfrac_impa
-  !
+
   ! Fraction d'aerosols lessivee par impaction et par nucleation
   ! POur ON-LINE
-  !
+
   REAL, DIMENSION(klon,klev),      INTENT(OUT)  :: frac_impa
   REAL, DIMENSION(klon,klev),      INTENT(OUT)  :: frac_nucl
   !AA
   ! --------------------------------------------------------------------------------
-  !
+
   ! Options du programme:
-  !
+
   REAL, SAVE :: seuil_neb=0.001 ! un nuage existe vraiment au-dela
   !$OMP THREADPRIVATE(seuil_neb)
@@ -175,5 +174,5 @@
   INTEGER,SAVE :: iflag_evap_prec=1 ! evaporation de la pluie
   !$OMP THREADPRIVATE(iflag_evap_prec)
-  !
+
   LOGICAL cpartiel ! condensation partielle
   PARAMETER (cpartiel=.TRUE.)
@@ -185,7 +184,7 @@
   PARAMETER (ztfondue=278.15)
   ! --------------------------------------------------------------------------------
-  !
+
   ! Variables locales:
-  !
+
   INTEGER i, k, n, kk
   INTEGER,save::itap=0
@@ -274,9 +273,8 @@
 #endif
 
-  !
   LOGICAL appel1er
   SAVE appel1er
   !$OMP THREADPRIVATE(appel1er)
-  !
+
 ! iflag_oldbug_fisrtilp=0 enleve le BUG par JYG : tglace_min -> tglace_max
 ! iflag_oldbug_fisrtilp=1 ajoute le BUG
@@ -284,15 +282,15 @@
   !$OMP THREADPRIVATE(iflag_oldbug_fisrtilp)
   !---------------------------------------------------------------
-  !
+
   !AA Variables traceurs:
   !AA  Provisoire !!! Parametres alpha du lessivage
   !AA  A priori on a 4 scavenging # possibles
-  !
+
   REAL a_tr_sca(4)
   save a_tr_sca
   !$OMP THREADPRIVATE(a_tr_sca)
-  !
+
   ! Variables intermediaires
-  !
+
   REAL zalpha_tr
   REAL zfrac_lessi
@@ -306,7 +304,7 @@
   REAL zlh_solid(klon), zm_solid
   !---------------------------------------------------------------
-  !
+
   ! Fonctions en ligne:
-  !
+
   REAL fallvs,fallvc ! Vitesse de chute pour cristaux de glace
                      ! (Heymsfield & Donner, 1990)
@@ -317,5 +315,5 @@
   fallvc (zzz) = 3.29/2.0 * ((zzz)**0.16) * ffallv_con
   fallvs (zzz) = 3.29/2.0 * ((zzz)**0.16) * ffallv_lsc
-  !
+
   DATA appel1er /.TRUE./
   !ym
@@ -337,5 +335,5 @@
      CALL getin_p('seuil_neb',seuil_neb)
      write(lunout,*)' iflag_oldbug_fisrtilp =',iflag_oldbug_fisrtilp 
-     !
+
      WRITE(lunout,*) 'fisrtilp, ninter:', ninter
      WRITE(lunout,*) 'fisrtilp, iflag_evap_prec:', iflag_evap_prec
@@ -378,5 +376,4 @@
 #endif 
 
-     !
      !AA initialiation provisoire
      a_tr_sca(1) = -0.5
@@ -384,7 +381,7 @@
      a_tr_sca(3) = -0.5
      a_tr_sca(4) = -0.5
-     !
+
      !AA Initialisation a 1 des coefs des fractions lessivees 
-     !
+
      !cdir collapse
      DO k = 1, klev
@@ -398,5 +395,5 @@
 
   ENDIF          !  test sur appel1er
-  !
+
   !MAf Initialisation a 0 de zoliq
   !      DO i = 1, klon
@@ -405,5 +402,5 @@
   ! Determiner les nuages froids par leur temperature
   !  nexpo regle la raideur de la transition eau liquide / eau glace.
-  !
+
 !CR: on est oblige de definir des valeurs fisrt car les valeurs de newmicro ne sont pas les memes par defaut
   IF (iflag_t_glace==0) THEN
@@ -425,7 +422,7 @@
 !>AJ
   !cc      nexpo = 1
-  !
+
   ! Initialiser les sorties:
-  !
+
   !cdir collapse
   DO k = 1, klev+1
@@ -474,7 +471,7 @@
 #endif
      !     ENDDO
-     !
+
      ! Initialiser le flux de precipitation a zero
-     !
+
      !     DO i = 1, klon
      zrfl(i) = 0.0
@@ -492,6 +489,6 @@
      zneb(i) = seuil_neb
   ENDDO
-  !
-  !
+
+
   !AA Pour plus de securite 
 
@@ -500,11 +497,11 @@
 
   !AA==================================================================
-  !
+
   ncoreczq=0
   ! BOUCLE VERTICALE (DU HAUT VERS LE BAS)
-  !
+
   DO k = klev, 1, -1
-     !
-     !
+
+
 #ifdef ISO      
       ! cam debug!      
@@ -543,5 +540,5 @@
 #endif
      !AA===============================================================
-     !
+
      ! Initialisation temperature et vapeur
      DO i = 1, klon
@@ -591,5 +588,5 @@
 
      ENDDO
-     !
+
      ! ----------------------------------------------------------------
      ! P0> Thermalisation des precipitations venant de la couche du dessus
@@ -604,5 +601,5 @@
      !   -  zt: temperature de la cocuhe
      !   - zmqc: masse de precip qui doit etre thermalisee
-     !
+
      IF(k<=klevm1) THEN
         DO i = 1, klon
@@ -632,5 +629,5 @@
         ENDDO
      ENDIF ! end IF(k.LE.klevm1)
-     !
+
      ! ----------------------------------------------------------------
      ! P1> Calcul de l'evaporation de la precipitation
@@ -643,5 +640,5 @@
      !   - zq, zt: humidite et temperature de la cocuhe
      !   - zmqc: masse de precip qui doit etre thermalisee
-     !
+
 #ifdef ISO
       DO i = 1, klon
@@ -776,5 +773,4 @@
 #endif
 
-!
        ELSE ! (.NOT. ice_thermo) 
 
@@ -938,5 +934,5 @@
      ! ----------------------------------------------------------------
      ENDIF ! (iflag_evap_prec>=1)
-     !
+
      ! Calculer Qs et L/Cp*dQs/dT:
 #ifdef ISOVERIF
@@ -988,5 +984,5 @@
 !        write(*,*) 'ilp tmp 638: k,zoliq,zxtoliq(1,363)=',k,zoliq(363),zxtoliq(1,363)
 #endif
-     !
+
      IF (thermcep) THEN
         DO i = 1, klon
@@ -1017,8 +1013,8 @@
         ENDDO
      ENDIF
-     !
+
      ! Determiner la condensation partielle et calculer la quantite
      ! de l'eau condensee:
-     !
+
 !verification de la valeur de iflag_fisrtilp_qsat pour iflag_ice_thermo=1
 !       if ((iflag_ice_thermo.eq.1).and.(iflag_fisrtilp_qsat.ne.0)) then
@@ -1037,10 +1033,10 @@
      !   zt : temperature de la maille
      ! ----------------------------------------------------------------
-     !
+
      IF (cpartiel) THEN
         ! -------------------------
         ! P2.A> Nuage fractionnaire
         ! -------------------------
-        !
+
         !   Calcul de l'eau condensee et de la fraction nuageuse et de l'eau
         !   nuageuse a partir des PDF de Sandrine Bony.
@@ -1050,5 +1046,5 @@
         !  on prend en compte le réchauffement qui diminue la partie
         ! condensee
-        !
+
         !   Version avec les raqts
 
@@ -1206,5 +1202,5 @@
                  if ((convergence(i).or.(n_i(i).eq.0)).and.lognormale(i)) then
                  ! si on n'a pas converge
-                 !
+
                  ! P2.A.2.1> Calcul de la fraction nuageuse et de la quantite d'eau condensee
                  ! ---------------------------------------------------------------
@@ -1214,5 +1210,5 @@
                  ! zcond: eau condensee en moyenne dans la maille
                  ! rhcl: humidite relative ciel-clair
-                 !
+
                  Tbef(i)=Tbef(i)+DT(i) ! nouvelle temperature
                  if (.not.ice_thermo) then   
@@ -1393,5 +1389,5 @@
         !   rhcl: humidite relative ciel-clair
         ! ----------------------------------------------------------------
-        !
+
         ! Bornage de l'eau in-cloud (zqn) et de la fraction nuageuse (rneb) 
         ! Calcule de l'eau condensee moyenne dans la maille (zcond),
@@ -1602,5 +1598,5 @@
 !        write(*,*) 'ilp tmp 1311: zoliq,zxtoliq(1,363)=',zoliq(363),zxtoliq(1,363)
 #endif    
-     !
+
      ! Mise a jour vapeur d'eau
      ! -------------------------
@@ -1615,5 +1611,5 @@
      ! Variable calcule:
      !   zt : temperature de la maille
-     !
+
      IF (.NOT. ice_thermo) THEN
         if (iflag_fisrtilp_qsat.lt.1) then
@@ -1952,7 +1948,6 @@
      ! P3> Formation des precipitations
      ! ----------------------------------------------------------------
-     !
+
      ! Partager l'eau condensee en precipitation et eau liquide nuageuse
-     !
 
      ! Initialisation de zoliq (eau condensee moyenne dans la maille)
@@ -2056,5 +2051,4 @@
 #endif
 
-     !
      DO n = 1, ninter
         DO i = 1, klon
@@ -2121,5 +2115,5 @@
 
      ! ----------------------------------------------------------------
-     !
+
 #ifdef ISO
       do i=1,klon
@@ -2312,5 +2306,5 @@
         CALL abort_physic('ilp 2347', 'isotopes pas encore prevus ici', 1)
 #endif
-!
+
 !CR&JYG<
 ! On prend en compte l'effet Bergeron dans les flux de precipitation :
@@ -2323,5 +2317,5 @@
 ! Le condensat precipitant solide est augmente.
 ! La vapeur d'eau est augmentee.
-!
+
        IF ((iflag_bergeron .EQ. 2)) THEN
          DO i = 1, klon
@@ -2508,7 +2502,7 @@
      ! Fin de formation des precipitations
      ! ----------------------------------------------------------------
-     !
+
      ! Calculer les tendances de q et de t:
-     !
+
      DO i = 1, klon
         d_q(i,k) = zq(i) - q(i,k)
@@ -2548,9 +2542,9 @@
         d_t(i,k) = zt(i) - t(i,k)
      ENDDO
-     !
+
      !AA--------------- Calcul du lessivage stratiforme  -------------
 
      DO i = 1,klon
-        !
+
         if(zcond(i).gt.zoliq(i)+1.e-10) then
          beta(i,k) = (zcond(i)-zoliq(i))/zcond(i)/dtime
@@ -2578,12 +2572,12 @@
            pfrac_nucl(i,k)=pfrac_nucl(i,k)*(1.-zneb(i)*zfrac_lessi)
            frac_nucl(i,k)= 1.-zneb(i)*zfrac_lessi 
-           !
+
            ! nucleation avec un facteur -1 au lieu de -0.5
            zfrac_lessi = 1. - EXP(-zprec_cond(i)/zneb(i))
            pfrac_1nucl(i,k)=pfrac_1nucl(i,k)*(1.-zneb(i)*zfrac_lessi)
         ENDIF
-        !
+
      ENDDO      ! boucle sur i
-     !
+
      !AA Lessivage par impaction dans les couches en-dessous
      DO kk = k-1, 1, -1
@@ -2629,13 +2623,12 @@
       ! end verif en fin de boucle
 
-     !
      !AA===============================================================
      !                     FIN DE LA BOUCLE VERTICALE  
   end DO
-  !
+
   !AA==================================================================
-  !
+
   ! Pluie ou neige au sol selon la temperature de la 1ere couche
-  !
+
 !CR: si la thermo de la glace est active, on calcule zifl directement
   IF (.NOT.ice_thermo) THEN
@@ -2703,5 +2696,5 @@
    
    ENDIF
-  !
+
   ! For energy conservation : when snow is present, the solification
   ! latent heat is considered.
@@ -2717,5 +2710,4 @@
   END DO
   ENDIF
-  !
 
   if (ncoreczq>0) then
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/lmdz_wake.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/lmdz_wake.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/lmdz_wake.F90	(revision 5099)
@@ -159,5 +159,4 @@
 #endif
 
-  !
   ! Input/Output
   ! State variables
@@ -425,5 +424,5 @@
   CALL getin_p('wdens_ref_l',wdens_ref(2))    !wake number per unit area ; land
 !>jyg
-!
+
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
 !!!!!!!!!  Population dynamics parameters    !!!!!!!!!!!!!!!!!!!!!!!!!!!!
@@ -441,5 +440,5 @@
   CALL getin_p('rzero_wk', rzero)
   aa0 = 3.14*rzero*rzero
-!
+
   tau_cv = 4000.
   CALL getin_p('tau_cv', tau_cv)
@@ -574,5 +573,5 @@
     END DO
   ENDIF  ! (iflag_wk_pop_dyn >=1)
-!
+
   DO i = 1, klon
     ! c      sigmaw(i) = amax1(sigmaw(i),sigd_con(i))
@@ -586,5 +585,4 @@
   END DO
 
-!
   IF (iflag_wk_pop_dyn >= 1) THEN
     awdens_in(:) = awdens(:)
@@ -599,5 +597,5 @@
   d_sigmaw(:) = 0.
   ktopw(:) = 0
-!
+
 !<jyg
 dth(:,:) = 0.
@@ -617,5 +615,5 @@
 cstar(:) = 0.
 ktopw(:) = 0
-!
+
 !  Vertical advection local variables
 omgbw(:,:) = 0.
@@ -629,5 +627,5 @@
 #endif
 !>jyg
-!
+
   IF (prt_level>=10) THEN
     PRINT *, 'wake-1, sigmaw(igout) ', sigmaw(igout)
@@ -1644,6 +1642,4 @@
           ! print*,'dtKE= ',dtKE(i,k),' dqKE= ',dqKE(i,k)
 
-!
-
           ! cc nrlmd          Prise en compte du taux de mortalité
           ! cc               Définitions de entr, detr
@@ -1834,5 +1830,5 @@
       END DO
     END DO
-!
+
     DO i = 1, klon
       IF (wk_adv(i)) THEN
@@ -1879,5 +1875,5 @@
           d_wdens2(i) = d_wdens2(i) + wdens_targ - wdens(i)
           wdens(i) = wdens_targ
-!
+
           wdens_targ = min( max(awdens(i),0.), wdens(i) )
           d_awdens2(i) = d_awdens2(i) + wdens_targ - awdens(i)
@@ -2279,5 +2275,5 @@
           sum_dtdwn(i) = sum_dtdwn(i) + dtdwn(i, k)*dz(i)
           sum_dqdwn(i) = sum_dqdwn(i) + dqdwn(i, k)*dz(i)
-!
+
           dthmin(i) = min(dthmin(i), dth(i,k))
         END IF
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/lmdz_yoerad.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/lmdz_yoerad.f90	(revision 5099)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/lmdz_yoerad.f90	(revision 5099)
@@ -0,0 +1,1 @@
+link ../phylmd/lmdz_yoerad.f90
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/phyaqua_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/phyaqua_mod.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/phyaqua_mod.F90	(revision 5099)
@@ -1,5 +1,5 @@
-!
+
 ! $Id: phyaqua_mod.F90 3579 2019-10-09 13:11:07Z fairhead $
-!
+
 MODULE phyaqua_mod
   ! Routines complementaires pour la physique planetaire.
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/phyetat0_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/phyetat0_mod.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/phyetat0_mod.F90	(revision 5099)
@@ -466,5 +466,5 @@
 !  TKE
 !==================================
-!
+
   IF (iflag_pbl>1) then
      found=phyetat0_srf(pbl_tke,"TKE","Turb. Kinetic. Energ. ",1.e-8)
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/phyredem.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/phyredem.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/phyredem.F90	(revision 5099)
@@ -1,7 +1,7 @@
-!
+
 ! $Id: phyredem.F90 3506 2019-05-16 14:38:11Z ymeurdesoif $
-!
+
 SUBROUTINE phyredem (fichnom)
-!
+
 !-------------------------------------------------------------------------------
 ! Author: Z.X. Li (LMD/CNRS), 1993/08/18
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/phys_local_var_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/phys_local_var_mod.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/phys_local_var_mod.F90	(revision 5099)
@@ -1,11 +1,11 @@
-!
+
 ! $Id: phys_local_var_mod.F90 3888 2021-05-05 10:50:37Z jyg $
-!
+
 MODULE phys_local_var_mod
   USE lmdz_cppkeys_wrapper, ONLY : CPPKEY_STRATAER
   ! Variables locales pour effectuer les appels en serie
   !======================================================================
-  !
-  !
+
+
   !======================================================================
   ! Declaration des variables
@@ -205,5 +205,5 @@
   REAL, SAVE, ALLOCATABLE :: ZFSDN0(:, :), ZFSUP0(:, :)      ! diag
   !$OMP THREADPRIVATE(ZFSDN0,ZFSUP0)
-  !
+
   REAL, SAVE, ALLOCATABLE :: stratomask(:, :)
   !$OMP THREADPRIVATE(stratomask)
@@ -388,5 +388,5 @@
   REAL, ALLOCATABLE, SAVE, DIMENSION(:) :: s_lcl, s_pblh, s_pblt, s_therm
   !$OMP THREADPRIVATE(s_lcl, s_pblh, s_pblt, s_therm)
-  !
+
   !nrlmd+jyg<
   REAL, ALLOCATABLE, SAVE, DIMENSION(:) :: s_pblh_x, s_pblh_w
@@ -395,5 +395,5 @@
   !$OMP THREADPRIVATE(s_lcl_x, s_lcl_w)
   !>nrlmd+jyg
-  !
+
   REAL, ALLOCATABLE, SAVE, DIMENSION(:) :: slab_wfbils
   !$OMP THREADPRIVATE(slab_wfbils)
@@ -425,5 +425,5 @@
 !$OMP THREADPRIVATE(xtrain_lsc)
 #endif
-  !
+
   !jyg+nrlmd<
   !!!ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
@@ -475,5 +475,5 @@
   !$OMP THREADPRIVATE(ratqsc)
   !>jyg+nrlmd
-  !
+
   REAL, ALLOCATABLE, SAVE, DIMENSION(:) :: wbeff, convoccur, zmax_th, zq2m, zt2m
   !$OMP THREADPRIVATE(wbeff, convoccur, zmax_th, zq2m, zt2m)
@@ -502,5 +502,5 @@
   REAL, ALLOCATABLE, SAVE, DIMENSION(:) :: epmax_diag ! epmax_cape
   !$OMP THREADPRIVATE(epmax_diag)
-  !
+
   !  Deep convective variables used in phytrac
   REAL, ALLOCATABLE, SAVE, DIMENSION(:, :) :: ep ! epmax_cape
@@ -576,5 +576,5 @@
 #endif
 #endif
-  !
+
   !      REAL,ALLOCATABLE,SAVE,DIMENSION(:,:) :: coefh, coefm, lambda_th
   REAL, ALLOCATABLE, SAVE, DIMENSION(:, :) :: lambda_th
@@ -714,9 +714,4 @@
   !$OMP THREADPRIVATE(dqsfreez)
 
-
-
-
-
-  !
   ! variables for stratospheric aerosol
   REAL, ALLOCATABLE, SAVE, DIMENSION(:, :) :: d_q_emiss
@@ -756,5 +751,5 @@
   REAL, ALLOCATABLE, SAVE, DIMENSION(:, :) :: vsed_aer
   !$OMP THREADPRIVATE(vsed_aer)
-  !
+
   !---3D budget variables
   REAL, ALLOCATABLE, SAVE, DIMENSION(:, :) :: budg_3D_nucl
@@ -770,5 +765,5 @@
   REAL, ALLOCATABLE, SAVE, DIMENSION(:, :) :: budg_3D_backgr_so2
   !$OMP THREADPRIVATE(budg_3D_backgr_so2)
-  !
+
   !---2D budget variables
   REAL, ALLOCATABLE, SAVE, DIMENSION(:) :: budg_dep_dry_ocs
@@ -900,5 +895,5 @@
     ZFLDN0 = 0.
     ALLOCATE(ZFLUP0(klon, klev + 1), ZFSDN0(klon, klev + 1), ZFSUP0(klon, klev + 1))
-    !
+
     ALLOCATE(topswad_aero(klon), solswad_aero(klon))
     ALLOCATE(topswai_aero(klon), solswai_aero(klon))
@@ -1020,10 +1015,10 @@
     ALLOCATE(s_lcl(klon))
     ALLOCATE(s_pblh(klon), s_pblt(klon), s_therm(klon))
-    !
+
     !nrlmd+jyg<
     ALLOCATE(s_pblh_x(klon), s_pblh_w(klon))
     ALLOCATE(s_lcl_x(klon), s_lcl_w(klon))
     !>nrlmd+jyg
-    !
+
     ALLOCATE(slab_wfbils(klon), tpot(klon), tpote(klon), ue(klon))
     ALLOCATE(uq(klon), ve(klon), vq(klon), zxffonte(klon))
@@ -1037,5 +1032,5 @@
     ALLOCATE(rain_num(klon))
     ALLOCATE(qlth(klon, klev), qith(klon, klev), qsith(klon, klev), wiceth(klon, klev))
-    !
+
 #ifdef ISO
       ALLOCATE(xtevap(ntraciso,klon))
@@ -1050,5 +1045,5 @@
       runoff_diag(:)=0. ; xtrunoff_diag(:,:)=0. ! because variables are only given values on knon grid points
 #endif
-    !
+
     ALLOCATE(sens_x(klon), sens_w(klon))
     ALLOCATE(zxfluxlat_x(klon), zxfluxlat_w(klon))
@@ -1073,8 +1068,8 @@
       ALLOCATE(xt_therm(ntraciso,klon,klev))
 #endif
-    !
+
     ALLOCATE(ptconv(klon, klev))
     ALLOCATE(ratqsc(klon, klev))
-    !
+
     ALLOCATE(wbeff(klon), convoccur(klon), zmax_th(klon))
     ALLOCATE(zq2m(klon), zt2m(klon), weak_inversion(klon))
@@ -1111,6 +1106,6 @@
     ! FC
     ALLOCATE(zxfluxq(klon, klev), zxfluxt(klon, klev))
-    !
-    !
+
+
     !  Deep convective variables used in phytrac
     ALLOCATE(pmflxr(klon, klev + 1), pmflxs(klon, klev + 1))
@@ -1407,5 +1402,5 @@
     DEALLOCATE(tal1, pal1, pab1, pab2)
     DEALLOCATE(ptstar, pt0, slp)
-    !
+
     DEALLOCATE(alp_wake)
     DEALLOCATE(wake_h, wake_k)
@@ -1425,5 +1420,5 @@
       DEALLOCATE(d_deltaxt_vdf)
 #endif
-    !
+
     DEALLOCATE(bils)
     DEALLOCATE(cdragm, cdragh, cldh, cldl)
@@ -1433,10 +1428,10 @@
     DEALLOCATE(prw, prlw, prsw, prbsw, water_budget, zustar, zu10m, zv10m, rh2m, s_lcl)
     DEALLOCATE(s_pblh, s_pblt, s_therm)
-    !
+
     !nrlmd+jyg<
     DEALLOCATE(s_pblh_x, s_pblh_w)
     DEALLOCATE(s_lcl_x, s_lcl_w)
     !>nrlmd+jyg
-    !
+
     DEALLOCATE(slab_wfbils, tpot, tpote, ue)
     DEALLOCATE(uq, ve, vq, zxffonte)
@@ -1449,5 +1444,5 @@
     DEALLOCATE(rain_num)
     DEALLOCATE(qlth, qith, qsith, wiceth)
-    !
+
     DEALLOCATE(sens_x, sens_w)
     DEALLOCATE(zxfluxlat_x, zxfluxlat_w)
@@ -1474,8 +1469,8 @@
       DEALLOCATE(h1_diag,runoff_diag,xtrunoff_diag)
 #endif
-    !
+
     DEALLOCATE(ptconv)
     DEALLOCATE(ratqsc)
-    !
+
     DEALLOCATE(wbeff, convoccur, zmax_th)
     DEALLOCATE(zq2m, zt2m, weak_inversion)
Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/phys_output_ctrlout_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/phys_output_ctrlout_mod.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/phys_output_ctrlout_mod.F90	(revision 5099)
@@ -1,5 +1,5 @@
-!
+
 ! $Id: phys_output_ctrlout_mod.F90 3888 2021-05-05 10:50:37Z jyg $
-!
+
 MODULE phys_output_ctrlout_mod
 
